org.apache.nutch.indexer.solr

## Interface SolrConstants

-     public interface SolrConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOOST_FIELD`
    `static String` | `COMMIT_INDEX`
    `static String` | `COMMIT_SIZE`
    `static String` | `DIGEST_FIELD`
    `static String` | `ID_FIELD`
    `static String` | `MAPPING_FILE`
    `static String` | `PASSWORD`
    `static String` | `SERVER_URL`
    `static String` | `SOLR_PREFIX`
    `static String` | `TIMESTAMP_FIELD`
    `static String` | `URL_FIELD`
    `static String` | `USE_AUTH`
    `static String` | `USERNAME`

- - ### Field Detail

    - #### SOLR_PREFIX

          static final String SOLR_PREFIX

      See Also:
        Constant Field Values

    - #### SERVER_URL

          static final String SERVER_URL

      See Also:
        Constant Field Values

    - #### COMMIT_SIZE

          static final String COMMIT_SIZE

      See Also:
        Constant Field Values

    - #### COMMIT_INDEX

          static final String COMMIT_INDEX

      See Also:
        Constant Field Values

    - #### MAPPING_FILE

          static final String MAPPING_FILE

      See Also:
        Constant Field Values

    - #### USE_AUTH

          static final String USE_AUTH

      See Also:
        Constant Field Values

    - #### USERNAME

          static final String USERNAME

      See Also:
        Constant Field Values

    - #### PASSWORD

          static final String PASSWORD

      See Also:
        Constant Field Values

    - #### ID_FIELD

          static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### URL_FIELD

          static final String URL_FIELD

      See Also:
        Constant Field Values

    - #### BOOST_FIELD

          static final String BOOST_FIELD

      See Also:
        Constant Field Values

    - #### TIMESTAMP_FIELD

          static final String TIMESTAMP_FIELD

      See Also:
        Constant Field Values

    - #### DIGEST_FIELD

          static final String DIGEST_FIELD

      See Also:
        Constant Field Values

Copyright © 2015 The Apache Software Foundation